Jump to content
Sign in to follow this  
Guest riscphree

Urpme and no deps

Recommended Posts

Guest riscphree

I want to get rid python so i can update. i ran the urpme python and i got all this:

 

[root@localhost riscphree]# urpme python
To satisfy dependencies, the following packages will be removed (52 MB):
bluez-utils-2.10-3mdk.i586 (due to missing python)
dia-0.94-2mdk.i586 (due to missing pygtk2.0)
gdesklets-0.30-7mdk.i586 (due to missing gnome-python, due to missing gdesklets-display)
gdesklets-acpi-0.1-2mdk.noarch (due to missing gdesklets)
gnome-python-2.0.3-1mdk.i586 (due to unsatisfied pygtk2.0 >= 2.0.0, due to missing gnome-python-bonobo)
gnome-python-bonobo-2.0.3-1mdk.i586 (due to unsatisfied pyorbit >= 2.0.0, due to unsatisfied gnome-python-canvas == 2.0.3-1mdk)
gnome-python-canvas-2.0.3-1mdk.i586 (due to unsatisfied pygtk2.0 >= 2.0.0, due to unsatisfied gnome-python == 2.0.3-1mdk)
gnucash-1.8.9-2mdk.i586 (due to unsatisfied python >= 2.3, due to missing libgnc-app-file-gnome.so.0, due to missing libgncmodule.so.0, due to unsatisfied libgnucash0 >= 1.8.9-2mdk)
gnucash-hbci-1.8.9-2mdk.i586 (due to missing libgncmod-engine.so.0, due to missing libgncmod-generic-import.so.0, due to unsatisfied gnucash == 1.8.9-2mdk, due to missing libgncgnome.so.0, due to missing libgncmodule.so.0)
gnucash-ofx-1.8.9-2mdk.i586 (due to missing libgncmod-engine.so.0, due to missing libgncmod-generic-import.so.0, due to unsatisfied gnucash == 1.8.9-2mdk, due to missing libgncmodule.so.0)
jack-3.0.0-1mdk.i586 (due to missing python-CDDB, due to missing python-ID3)
libgnucash0-1.8.9-2mdk.i586 (due to missing libgncmod-app-file.so.0, due to missing libgncmod-backend-file.so.0, due to missing libgncmod-engine.so.0, due to missing libgncmod-gnome-search.so.0, due to missing libgncmod-ledger-core.so.0, due to missing libgncmod-report-gnome.so.0, due to missing libgncmod-report-system.so.0)
pygtk2.0-2.3.96-1mdk.i586 (due to missing python-numeric)
pyorbit-2.0.0-2mdk.i586 (due to unsatisfied python >= 2.3)
python-2.3.4-6.1.101mdk.i586
python-CDDB-1.4-2mdk.i586 (due to missing python)
python-ID3-1.2-5mdk.noarch (due to missing python)
python-numeric-23.1-2mdk.i586 (due to unsatisfied python >= 2.0)
tkinter-2.3.4-6.1.101mdk.i586 (due to unsatisfied python == 2.3.4-6.1.101mdk)
Is this OK? (y/N)

 

i do not want to get rid of all that stuff, is there a switch for urpme that will allow me to just get rid of python?

 

[moved from Software by spinynorman]

Share this post


Link to post
Share on other sites

well, iwould do

rpm -qa | grep pyhon

this will output he exact name of the rpm for python that is installed....

then

rpm -ev --nodeps thenthenameof.therpm.file

that will remove that rpm with out dependencies

but if you are using mandrake then urpmi will automatically update python to the newest version that is in your sources....

 

just do urpmi python and it will install a newer version if it exists...

Share this post


Link to post
Share on other sites
Guest riscphree

yeah, when i do a urpmi python, it says everything already installed. i have version 2.3 installed, but i need 2.4

after the

 

[root@localhost riscphree]# rpm -qa | grep python
python-base-2.3.4-6.1.101mdk
python-ID3-1.2-5mdk
gnome-python-2.0.3-1mdk
gnome-python-gtkhtml2-2.0.3-1mdk
gnome-python-bonobo-2.0.3-1mdk
python-numeric-23.1-2mdk
gnome-python-gconf-2.0.3-1mdk
gnome-python-canvas-2.0.3-1mdk
libpython2.3-2.3.4-6.1.101mdk
python-CDDB-1.4-2mdk
python-2.3.4-6.1.101mdk

 

im going to have to delete: python-2.3.4-6.1.101mdk and python-base-2.3.4-6.1.101mdk to fully get rid of python correct?

Share this post


Link to post
Share on other sites

That's not a good idea. All those things depend on python for a reason - they use python, they're built against the python 2.3 in MDK, and they won't necessarily keep working if you rip python out and replace it with 2.4. Do you really need to do this?

 

If you *do*, the command you want is:

 

rpm -e --nodeps python python-base

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...